%global srcname docker

Name:           python3-%{srcname}
Version:        2.7.0
Release:        1%{?dist}
Summary:        A Python library for the Docker Engine API
License:        ASL 2.0
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        https://files.pythonhosted.org/packages/source/d/%{srcname}/%{srcname}-%{version}.tar.gz

# Upstream uses environment markers to conditionally apply some dependencies.
# Environment markers were first added in setuptools 20.6.8, so that doesn't
# work in RHEL.  This patch converts those environment markers into simple if
# statements.
Patch2:         remove-environment-markers.patch

# Upstream uses pip to check if the older docker-py module is installed.  We
# handle that with an obsolete.
Patch3:         remove-pip-dependency.patch

BuildArch:      noarch


%description
It lets you do anything the docker command does, but from within Python apps –
run containers, manage containers, manage Swarms, etc.


%package -n python%{python3_pkgversion}-%{srcname}
Summary:        A Python library for the Docker Engine API
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
Requires:       python%{python3_pkgversion}-requests >= 2.14.2
Requires:       python%{python3_pkgversion}-six >= 1.4.0
Requires:       python%{python3_pkgversion}-websocket-client >= 0.32.0
Requires:       python%{python3_pkgversion}-docker-pycreds >= 0.2.1
%if 0%{?python3_version_nodots} < 35
Requires:       python%{python3_pkgversion}-backports-ssl_match_hostname >= 3.5
%endif
%if 0%{?python3_version_nodots} < 33
Requires:       python%{python3_pkgversion}-ipaddress >= 1.0.16
%endif


%description -n python%{python3_pkgversion}-%{srcname}
It lets you do anything the docker command does, but from within Python apps –
run containers, manage containers, manage Swarms, etc.


%prep
%autosetup -n %{srcname}-%{version} -p 1
rm -r docker.egg-info


%build
%py3_build


%install
%py3_install


%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE
%doc README.md
%{python3_sitelib}/*


%changelog
* Fri Dec 29 2017 Carl George <carl@george.computer> - 2.7.0-1
- Initial EPEL7 package
